/* Блоки */
.gto-header {
    background-color: #000;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.gto-header h1 {
    color: #FFF;
    font-family: 'PT Serif', Arial, Helvetica, sans-serif;
}

.gto-header__inner {
    padding: 60px 84px 80px 84px;
    max-width: 1306px;
    margin: 0 auto;
    text-align: center;
}

.gto-background {
    background-color: #003026;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    min-height: 85vh;
}

.gto-layout {
    max-width: 1306px;
    width: 100%;
    padding: 20px 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    position: relative;
}

.gto-btn {
    border: none;
    padding: 16px 8px;
    min-width: 100px;
    border-radius: 8px;
    cursor: pointer;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transition: filter ease-in 0.2s;
    font-size: 16px;
}

.gto-btn:hover {
    filter: brightness(1.2);
}

.gto-btn--success {
    background-color: #3B7E15;
    color: #FFF;
    font-weight: bold;
}

.gto-btn--cancel {
    background-color: #972438;
    color: #FFF;
    font-weight: bold;
}

.gto-demo {
    border: 3px solid #BF901D;
    background-color: rgba(0, 0, 0, 0.5);
    color: #000;
    padding: 8px 8px 8px 16px;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    gap: 16px;
    min-width: 500px;
    flex-direction: column;
}

.gto-demo__button {
    background-color: #BF901D;
    color: white;
    font-size: 16px;
    font-weight: bold;
}

.gto-demo__text {
    padding: 0;
    margin: 0;
    vertical-align: middle;
}

.gto-loader {
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    background:
        radial-gradient(farthest-side, #ffa516 94%, #0000) top/8px 8px no-repeat,
        conic-gradient(#0000 30%, #ffa516);
    mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
    -webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
    animation: l13 1s infinite linear;
}

@keyframes l13 {
    100% {
        transform: rotate(1turn)
    }
}

.gto-card {
    aspect-ratio: 2 / 3;
    width: clamp(25px, 7vmin, 56px);
    transform: translateZ(0);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
}

.gto-card--hidden {
    background: url('../nimg/calc-placeholder.svg');
}

.gto-table-container {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
    flex-grow: 1;
    position: relative;
    padding-bottom: 128px;
}

.gto-table {
    display: flex;
    gap: 8px;
    background: rgba(0, 0, 0, .6);
    padding: 32px 64px;
    border-radius: 100px;
}

.gto-table__pot {
    color: #FFF;
    background: rgba(0, 0, 0, .6);
    border-radius: 100px;
    padding: 8px 16px;
}

.gto-table div:nth-last-child(2) {
    margin-left: 8px;
}

.gto-actions {
    display: flex;
    gap: 16px;
    justify-content: center;
    padding: 16px 0;
    align-items: center;
    flex-grow: 0;
    position: absolute;
    bottom: 2%;
}

.gto-actions__button {
    background-color: transparent;
    font-size: 18px;
    padding: 8px 16px;
    min-width: 150px;
    border-radius: 8px;
    cursor: pointer;
    border: 1px solid #FFF;
    color: #FFF;
    transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, border-color 0.2s ease-in-out;
    white-space: nowrap;
}

.gto-actions__button--fold:hover {
    background-color: #972438;
    color: #FFF;
    border-color: #972438;
}

.gto-actions__button--call:hover {
    background-color: #BF901D;
    color: #FFF;
    border-color: #BF901D;
}

.gto-actions__button--bet:hover {
    background-color: #BF901D;
    color: #FFF;
    border-color: #BF901D;
}

.gto-actions__button--raise:hover {
    background-color: #3B7E15;
    color: #FFF;
    border-color: #3B7E15;
}

.gto-actions__button--check:hover {
    background-color: #2C407B;
    color: #FFF;
    border-color: #2C407B;
}

.gto-actions__button--all-in:hover {
    background-color: #2C407B;
    color: #FFF;
    border-color: #2C407B;
}

.gto-player {
    display: flex;
    flex-direction: column;
    padding: 8px;
    gap: 16px;
    position: absolute;
}

.gto-player--position-1 {  /* SB - справа */
    right: 15%;
    bottom: 20%;
}

.gto-player--position-2 {  /* HIJ - справа */
    left: 15%;
    top: 5%;
}

.gto-player--position-3 {  /* BB - внизу слева */
    left: 15%;
    bottom: 20%;
}

.gto-player--position-4 {  /* UTG - слева */
    left: 0;
    top: 40%;
    transform: translateY(-40%);
}

.gto-player--position-5 {  /* CO - вверху справа */
    right: 15%;
    top: 5%;
}

.gto-player--position-6 {  /* BTN - справа */
    right: 0;
    top: 40%;
    transform: translateY(-40%);
}

.gto-player--current {
    border: 2px solid #00ac8d;
    border-radius: 8px;
}

.gto-player--villain {
    border: 2px solid #ff8f00;
    border-radius: 8px;
}

.gto-player__cards {
    display: flex;
    gap: 8px;
}

.gto-player__sub-container {
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: space-between;
}

.gto-player__sub-container--glow {
    -webkit-box-shadow: 0 0 62px 4px rgba(45, 255, 196, 0.3);
    -moz-box-shadow: 0 0 62px 4px rgba(45, 255, 196, 0.3);
    box-shadow: 0 0 62px 4px rgba(45, 255, 196, 0.3);
}

.gto-player__info {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.gto-player__name {
    font-size: 20px;
    padding: 4px;
    background-color: #ffa516;
    border-radius: 8px;
    text-align: center;
    min-width: 47px;
}

.gto-player__stack {
    font-size: 20px;
    font-weight: bold;
    color: #FFF;
}

.gto-player__stats {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.gto-player__stats-type {
    font-size: 22px;
    color: #FFF;
}

.gto-player__stats-action {
    font-size: 20px;
    color: #FFF;
}

.gto-player__stats-action--fold {
    color: #972438;
    font-weight: bold;
}

.gto-player__stats-action--hero {
    color: #3B7E15;
    font-weight: bold;
}

.gto-player__bottom-container {
    background-color: #000;
    padding: 8px;
    border-radius: 8px;
}

.gto-player__pot-stat {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
}

.gto-player__dealer-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffa516;
    padding: 2px;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    font-weight: bold;
    text-align: center;
}

.gto-player__pot {
    color: #FFF;
    display: flex;
    align-items: center;
    gap: 6px;
}

.gto-player__pot::before {
    content: '';
    display: inline-block;
    width: 12px;
    height: 12px;
    background-color: #333;
    border-radius: 50%;
}

.gto-player__cards--folded {
    opacity: 0.5;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Глобальный лоадер */
.gto-global-loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2000;
}

.gto-last-actions-container {
    display: flex;
    padding: 8px;
    gap: 24px;
}

.gto-lact-action-container {
    display: flex;
    align-items: center;
    gap: 8px;
    border-width: 3px;
    border-style: solid;
    padding: 4px 8px;
    border-radius: 4px;
    color: #FFF;
}

.gto-last-action-title {
    font-weight: bold;
}

.gto-demo__info-container {
    display: flex;
    align-items: center;
    gap: 32px;
    color: #FFF;
}
